<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAllControls Method (IEdmCard7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCard7 Interface : GetAllControls Method (IEdmCard7)

Visual Basic
C#
C++/CLI

ppControlsList
  Array of IEdmCardControl5

Gets all controls in this file or folder data card.

# Syntax

Visual Basic |
--- | ---

    Sub GetAllControls( _
       ByRef ppControlsList() As System.Object _
    )

C# |
--- | ---

    void GetAllControls(
       out System.object[] ppControlsList
    )

C++/CLI |
--- | ---

    void GetAllControls(
    &   [Out] System.array<Object^>^ ppControlsList
    )

#### Parameters

ppControlsList
  Array of IEdmCardControl5

# Example

See the IEdmCard7 example.

# See Also

####

IEdmCard7 Interface
IEdmCard7 Members

# Availability

SOLIDWORKS PDM Professional 2019 SP03